:root {
    --bg: #f2f2f2;
    --panel: #ffffff;
    --text: #111;
    --hover: #e4e4e4;
    --border: #ccc;
    --button-bg: #ddd;
}

body.dark {
    --bg: #111;
    --panel: #1a1a1a;
    --text: #fff;
    --hover: #2a2a2a;
    --border: #333;
    --button-bg: #333;
}

body {
    margin: 0;
    font-family: Arial, sans-serif;
    background: var(--bg);
    color: var(--text);
    transition: 0.2s ease;
}

#themeToggle {
    font-size: 18px;
    color: var(--text);
    cursor: pointer;
}

.window-bar {
  height: 40px;
  background: #dfdfdf;
  color: black;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0 8px;
  user-select: none;
  border-bottom: 1px solid #a3a3a3;
}

body.dark .window-bar {
  height: 40px;
  background: #202020;
  color: white;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0 8px;
  user-select: none;
  border-bottom: 1px solid #2a2a2a;
}

.window-left {
  display: flex;
  align-items: center;
  gap: 12px;
}

.window-icon {
  width: 24px;
  height: 24px;
}

.window-title {
  font-size: 16px;
  font-family: Verdana, Geneva, Tahoma, sans-serif;
}

.window-controls:hover {
  background: #aaaaaa;
}

body.dark .window-controls:hover {
  background: rgb(13, 13, 13);
}

.window-controls {
  display: flex;
}

.window-controls button {
  width: 46px;
  height: 32px;
  border: none;
  background: transparent;
  color: white;
  font-size: 14px;
  cursor: pointer;
}

.explorer {
    display: flex;
    height: 100vh;
}

.sidebar {
    width: 260px;
    background: var(--panel);
    padding: 20px;
    border-right: 1px solid var(--border);
}

.content {
    flex: 1;
    padding: 30px;
}

h2 {
    margin-top: 0;
    font-size: 26px;
}

.item {
    padding: 14px;
    font-size: 18px;
    border-radius: 10px;
    margin-bottom: 8px;
    cursor: pointer;
    display: flex;
    align-items: center;
    gap: 10px;
    background: transparent;
}

.item:hover {
    background: var(--hover);
}

.folder::after {
    content: "→";
    margin-left: auto;
    opacity: 0.6;
}

.link {
    text-decoration: none;
    color: inherit;
}

.children {
    margin-left: 20px;
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.5s cubic-bezier(0.22, 0.61, 0.36, 1);
}

.children.open {
    max-height: 500px;
}

.folder::after { /* open */
    content: "▼";
    margin-left: auto;
    transition: transform 1s cubic-bezier(0.22, 0.61, 0.36, 1);
}

.folder.open::after {
    transform: rotate(-90deg);
}

.bottom-scroll {
  position: fixed;
  bottom: 0;
  left: 0;
  width: 100%;
  background: #fbf9f9;
  color: black;
  overflow: hidden;
  white-space: nowrap;
  padding: 12px 0;
  font-size: 18px;
  border-top: 2px solid #a5a5a5;
  z-index: 1000;
}

.bottom-scroll {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    background: #fbf9f9;
    color: black;
    overflow: hidden;
    white-space: nowrap;
    padding: 12px 0;
    font-size: 18px;
    border-top: 2px solid #a5a5a5;
    z-index: 1000;
}

body.dark .bottom-scroll {
    background: #111;
    color: white;
    border-top: 2px solid #333;
}


.scroll-text {
  display: inline-block;
  padding-left: 100%;
  animation: scroll-left 15s linear infinite;
}

@keyframes scroll-left { /* just incase i need to hyperlink shit lmao */  
  from {
    transform: translateX(0%);
  }
  to {
    transform: translateX(-100%);
  }
}

.bottom-scroll a {
  color: #4da6ff;
  text-decoration: none;
}

.bottom-scroll a:hover {
  text-decoration: underline;
}

.link img {
    filter: invert(1);
}

body.dark .link img {
    filter: invert(0);
}
